# Keycloak JS

Keycloak is an Open Source Identity and Access Management solution for modern Applications and Services.

This repository contains the client-side JavaScript library that can be used to secure web applications and integrate them with Keycloak.

## Help and Documentation

* [Documentation](https://www.keycloak.org/documentation.html)
* [Keycloak JavaScript adapter guide](https://www.keycloak.org/securing-apps/javascript-adapter) - The specific guide for this client
* [User Mailing List](https://groups.google.com/g/keycloak-user) - Mailing list for help and general questions about Keycloak

## Reporting Security Vulnerabilities

If you've found a security vulnerability, please look at the [instructions on how to properly report it](http://www.keycloak.org/security.html)

## Reporting an issue

If you believe you have discovered a defect in the keycloak-js adapter please open an issue in our [Issue Tracker](https://github.com/keycloak/keycloak-js/issues).
Please remember to provide a good summary, description as well as steps to reproduce the issue.
The tracker can also be used for feature and enhancement requests.

## Getting started

To start with the keycloak-js adapter please try one of our [quickstarts](https://github.com/keycloak/keycloak-quickstarts).

For more details refer to the [Keycloak Documentation](https://www.keycloak.org/documentation.html).

## Contributing

Before contributing to keycloak-js adapter please read our [contributing guidelines](CONTRIBUTING.md).

## Other Keycloak Projects

* [Keycloak](https://github.com/keycloak/keycloak) - Keycloak Server and Java adapters
* [Keycloak QuickStarts](https://github.com/keycloak/keycloak-quickstarts) - QuickStarts for getting started with Keycloak
* [Keycloak Docker](https://github.com/keycloak/keycloak-containers) - Docker images for Keycloak
* [Keycloak Node.js Adapter](https://github.com/keycloak/keycloak-nodejs-connect) - Keycloak adapter for Node.js

## License

* [Apache License, Version 2.0](https://www.apache.org/licenses/LICENSE-2.0)
